#goog.bash

A small shell tool for managing Google Closure Tools assets and building
Closure Tools projects.

##Installation

Download the script:

    $ wget --no-check-certificate 'https://raw.github.com/oinksoft/goog.bash/master/goog'

or use `curl` if you do not have `wget`:

    $ curl -O 'https://raw.github.com/oinksoft/goog.bash/master/goog'

make it executable:

    $ chmod a+x goog

and move it to a location in your `$PATH`:

    $ mv goog ~/bin/

##Usage

Run `goog help` for general usage, and `goog help <command>` for
specific command usage.

##Mirrors

`goog install` requires a mirror. The environment variable `GOOG_MIRROR_URL`,
which defaults to `http://localhost:8000`, is the mirror URL.

You can easily set up a mirror at that URL if you have Python, Git, Apache Ant
and a Java 1.8 SDK:

    $ mkdir /var/www/closure-mirror
    $ goog mirror /var/www/closure-mirror/build /var/www/closure-mirror/out
    $ cd /var/www/closure-mirror/out
    $ python -m SimpleHTTPServer
    Serving HTTP on 0.0.0.0 port 8000 ...
